Skip to main content

Remove users from a group channel

Remove one or more users from a group channel.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/quit

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdsArrayYesArray of user IDs to remove. Max 100 users per request.
isDelBanNumberNoWhether to also remove the users' mute status. 0: Do not remove. 1: Remove (default).
isDelWhiteNumberNoWhether to also remove users from the mute allowlist. 0: Do not remove. 1: Remove (default).
isDelFollowedNumberNoWhether to also remove the users' followed member records. 0: Do not remove. 1: Remove (default).

Request example

HTTP
POST /v4/group-channel/quit HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "groupId1",
"userIds": ["userId"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}